# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "decathlon/https"

Gem::Specification.new do |spec|
  spec.name          = "decathlon-https"
  spec.version       = Decathlon::HTTPS::VERSION
  spec.authors       = ["Jack Hayter"]
  spec.email         = ["jack.hayter@decathlon.com"]

  spec.summary       = "Simple abstraction library for making HTTPS JSON calls"
  spec.description   = "Provides a simple way of making HTTPS calls with different verbs, headers, params, and parsing the output as JSON"
  spec.homepage      = "https://github.com/decathlon/https-json-rubygem"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
end
